summaryrefslogtreecommitdiffstats
path: root/jjb/fuel/fuel-deploy.sh
diff options
context:
space:
mode:
authorFatih Degirmenci <fatih.degirmenci@ericsson.com>2016-01-17 23:51:25 +0100
committerFatih Degirmenci <fatih.degirmenci@ericsson.com>2016-01-17 23:56:29 +0100
commit287b69a6aa1e951e2daad44532a023bf843c1ab2 (patch)
tree0d803548ceba7e350ca9f606906229ec79d4f5c1 /jjb/fuel/fuel-deploy.sh
parent020165444629418473749ac2db3c4d1bd888ac3a (diff)
fuel: Merge deployment scripts for daily and virtual deployments
Change-Id: I84348614c2a03e7cca359e9f47d536d833328958 Signed-off-by: Fatih Degirmenci <fatih.degirmenci@ericsson.com>
Diffstat (limited to 'jjb/fuel/fuel-deploy.sh')
-rwxr-xr-xjjb/fuel/fuel-deploy.sh30
1 files changed, 22 insertions, 8 deletions
diff --git a/jjb/fuel/fuel-deploy.sh b/jjb/fuel/fuel-deploy.sh
index 6875a09e7..b0a1c78f1 100755
--- a/jjb/fuel/fuel-deploy.sh
+++ b/jjb/fuel/fuel-deploy.sh
@@ -9,24 +9,38 @@ source latest.properties
# echo the info about artifact that is used during the deployment
echo "Using ${OPNFV_ARTIFACT_URL/*\/} for deployment"
-# checkout the commit that was used for building the downloaded artifact
-# to make sure the ISO and deployment mechanism uses same versions
-echo "Checking out $OPNFV_GIT_SHA1"
-git checkout $OPNFV_GIT_SHA1 --quiet
+if [[ "$JOB_NAME" =~ "merge" ]]; then
+ # set simplest scenario for virtual deploys to run for merges
+ DEPLOY_SCENARIO="os-nosdn-nofeature-ha"
+else
+ # for none-merge deployments
+ # checkout the commit that was used for building the downloaded artifact
+ # to make sure the ISO and deployment mechanism uses same versions
+ echo "Checking out $OPNFV_GIT_SHA1"
+ git checkout $OPNFV_GIT_SHA1 --quiet
+fi
# set deployment parameters
-BRIDGE=pxebr
export TMPDIR=$HOME/tmpdir
+BRIDGE=pxebr
LAB_NAME=${NODE_NAME/-*}
POD_NAME=${NODE_NAME/*-}
+if [[ "$NODE_NAME" == "opnfv-jump-2" ]]; then
+ LAB_NAME="lf"
+ POD_NAME="pod2"
+fi
+
if [[ "$NODE_NAME" =~ "virtual" ]]; then
POD_NAME="virtual_kvm"
fi
-if [[ "$NODE_NAME" == "opnfv-jump-2" ]]; then
- LAB_NAME="lf"
- POD_NAME="pod2"
+# we currently support ericsson, intel, and lf labs
+if [[ ! "$LAB_NAME" =~ (ericsson|intel|lf) ]]; then
+ echo "Unsupported/unidentified lab $LAB_NAME. Cannot continue!"
+ exit 1
+else
+ echo "Using configuration for $LAB_NAME"
fi
# create TMPDIR if it doesn't exist